<template>
  <div class="progress-bar">
    <progress :max="progressMax" :value="progressVal"></progress>
    <div class="progress-levels">
      <div class="progress-levels__min">Middle</div>
      <div class="progress-levels__score">
        <span
          class="progress-levels__current"
          :class="{ 'progress-levels__current-full': isFull }"
          >{{ progressVal }}</span
        >
        &#47;
        <span
          class="progress-levels__max"
          :class="{ 'progress-levels__max-full': isFull }"
          >{{ progressMax }}</span
        >
      </div>
      <div :class="{ 'progress-levels__max-full': isFull }">Senior</div>
    </div>
  </div>
</template>

<script>
import { mapState } from 'vuex'

export default {
  name: 'ProgressBar',

  data() {
    return {
      isFull: false,
    }
  },

  computed: {
    ...mapState({
      progressVal: (state) => state.totalRange,
      progressMax: (state) => state.maxRange,
    }),
  },

  watch: {
    progressVal(val) {
      this.isFull = val === this.progressMax
    },
  },
}
</script>
